summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2020-06-07 12:40:38 +0200
committerPacho Ramos <pacho@gentoo.org>2020-06-07 12:45:25 +0200
commit33a4e2d54a55c79cf47ab4554daf9baf7cc40660 (patch)
tree2cb400f075bc4638dbef2cf6b9abfffeaa40cd7b /sci-chemistry
parentdev-python/lmfit: Needed by newer chemex (diff)
downloadgentoo-33a4e2d54a55c79cf47ab4554daf9baf7cc40660.tar.gz
gentoo-33a4e2d54a55c79cf47ab4554daf9baf7cc40660.tar.bz2
gentoo-33a4e2d54a55c79cf47ab4554daf9baf7cc40660.zip
sci-chemistry/chemex: Bump to 2018.10.2
Closes: https://bugs.gentoo.org/705648 Package-Manager: Portage-2.3.100, Repoman-2.3.22 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
Diffstat (limited to 'sci-chemistry')
-rw-r--r--sci-chemistry/chemex/Manifest1
-rw-r--r--sci-chemistry/chemex/chemex-2018.10.2.ebuild47
-rw-r--r--sci-chemistry/chemex/files/chemex-2018.10.2-tests-package.patch11
3 files changed, 59 insertions, 0 deletions
diff --git a/sci-chemistry/chemex/Manifest b/sci-chemistry/chemex/Manifest
index 7a581bc1bd4..21f984a5160 100644
--- a/sci-chemistry/chemex/Manifest
+++ b/sci-chemistry/chemex/Manifest
@@ -1 +1,2 @@
DIST chemex-0.6.1.tar.gz 1449216 BLAKE2B 6b7f7597b09cd43b9bec89b6359d1f650fdd7d4f3a373e706da80dafaf438417458f34af6bc378442b5b4a84cb8222103ebc8026c85583e8dece3fad0dc77204 SHA512 40f538ef9c162759c7a6863886da8d46746ac362fc19154f0a5f3dd8703f7fea7397c3f34092c86dbce486c452e0d3b09a76e4c11ae119834d7ca4912e7f3fdf
+DIST chemex-2018.10.2.tar.gz 546575 BLAKE2B c36ae3bc152459844633276ab286b6f750ed5b2538c4289ceb75de9a081ad74fe346a79357fd6fc2f8972722b3520473262c4d623e46d6a4b30395962164a51f SHA512 f8ed017c0881ea9188e150456827e2c6302bdfe546c8058bd0261e43d941fbd1ac9e6abf1621d82107a4f6bd4e9aa4bc70c46e42dc98eabf2dba45a4fa78f77e
diff --git a/sci-chemistry/chemex/chemex-2018.10.2.ebuild b/sci-chemistry/chemex/chemex-2018.10.2.ebuild
new file mode 100644
index 00000000000..99f888adb02
--- /dev/null
+++ b/sci-chemistry/chemex/chemex-2018.10.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DISTUTILS_SINGLE_IMPL="yes"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Program to fit chemical exchange induced shift and relaxation data"
+HOMEPAGE="https://github.com/gbouvignies/chemex"
+SRC_URI="https://github.com/gbouvignies/chemex/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/asteval-0.9.11[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/lmfit-0.9.11[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/matplotlib-1.1[${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_MULTI_USEDEP}]
+ >=sci-libs/scipy-0.11[${PYTHON_MULTI_USEDEP}]
+ ')
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/ChemEx-${PV}"
+
+PATCHES=(
+ # https://github.com/gbouvignies/ChemEx/issues/44
+ "${FILESDIR}"/${P}-tests-package.patch
+)
+
+src_prepare() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION="${PV}"
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ py.test -v -v || die
+}
diff --git a/sci-chemistry/chemex/files/chemex-2018.10.2-tests-package.patch b/sci-chemistry/chemex/files/chemex-2018.10.2-tests-package.patch
new file mode 100644
index 00000000000..d743c969a92
--- /dev/null
+++ b/sci-chemistry/chemex/files/chemex-2018.10.2-tests-package.patch
@@ -0,0 +1,11 @@
+--- a/setup.py~ 2019-03-12 21:45:04.000000000 +0100
++++ b/setup.py 2020-06-07 11:36:28.052241913 +0200
+@@ -21,7 +21,7 @@
+ "Programming Language :: Python :: 3.7",
+ ],
+ keywords="nmr protein dynamics chemical exchange cpmg cest relaxation data fitting",
+- packages=find_packages(),
++ packages=find_packages(exclude=['tests']),
+ install_requires=[
+ "numpy>=1.0",
+ "scipy>=1.0",